#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		tiff
#-----------------------------------------------------------------------------
Name		:	libtiff
Version		:	4.6.0
Release		:	14.8.0.0%{?dist}
Summary		:	Library of functions for manipulating TIFF format image files
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	libtiff (Silicon Graphics)
URL		:	http://download.osgeo.org/libtiff/

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	python3-sphinx
BuildRequires	:	python3-libstemmer
#-----------------------------------------------------------------------------
%description
The libtiff package contains a library of functions for manipulating
TIFF (Tagged Image File Format) image format files.  TIFF is a widely
used file format for bitmapped images.  TIFF files usually end in the
.tif extension and they are often quite large

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md RELEASE-DATE VERSION
%{_includedir}/%{sname}*.h
%{_includedir}/%{sname}*.hxx
%{_bindir}/*
%{_libdir}/%{name}*.so*
%{_libdir}/pkgconfig/%{name}-4.pc
%{_libdir}/cmake/%{sname}/*.cmake
%{_defaultdocdir}/%{name}-%{version}/manual/html/
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3tiff.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

cmake									\
	-G Ninja							\
	-D CMAKE_INSTALL_DOCDIR=%{_defaultdocdir}/%{name}-%{version}	\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}				\
	-B _bld								\

ninja                                           			\
        -C _bld	                                        		\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}                                    \
        ninja                                           \
        -C _bld						\
        install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
